import { Selector } from "@ngrx/store";
import { Segmenter } from "./config";
import { History, HistoryKey, UndoRedoState } from "./undo-redo.state";
export type HistoryProps = {
    key: HistoryKey;
};
export declare const createHistorySelectors: <T, V extends UndoRedoState>(selector: Selector<T, V>, segmenter?: Segmenter<V>) => {
    selectHistory: (props?: HistoryProps) => import("@ngrx/store").MemoizedSelector<T, History, (s1: V) => History>;
    selectCanUndo: (props?: HistoryProps) => import("@ngrx/store").MemoizedSelector<T, boolean, (s1: History) => boolean>;
    selectCanRedo: (props?: HistoryProps) => import("@ngrx/store").MemoizedSelector<T, boolean, (s1: History) => boolean>;
};
